## httpfs2-0.1.4.tar.gz

=== Makefile ===
CC=gcc -g 
CFLAGS :=  -Os -Wall $(shell pkg-config fuse --cflags)
CPPFLAGS := -Wall -DUSE_AUTH -D_XOPEN_SOURCE=500 -D_ISOC99_SOURCE
THR_CPPFLAGS := -DUSE_THREAD
THR_LDFLAGS := -lpthread
SSL_CPPFLAGS := -DUSE_SSL $(shell pkg-config openssl --cflags)
SSL_LDFLAGS := $(shell pkg-config openssl --libs)
LDFLAGS := $(shell pkg-config fuse --libs | sed -e s/-lrt// -e s/-ldl//)

intermediates =

binaries = httpfs2 #httpfs2_ssl

manpages = $(addsuffix .1,$(binaries))

intermediates += $(addsuffix .xml,$(manpages))

targets = $(binaries) $(manpages)

all: $(targets)

httpfs2: httpfs2.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) httpfs2.c -o httpfs2

httpfs2_ssl: httpfs2.c
	$(CC) $(CPPFLAGS) $(THR_CPPFLAGS) $(SSL_CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(THR_LDFLAGS) $(SSL_LDFLAGS) httpfs2.c -o httpfs2_ssl

httpfs2_ssl.1: httpfs2.1
	ln -sf httpfs2.1 httpfs2_ssl.1

clean:
	rm -f $(targets) $(intermediates)

%.1: %.1.txt
	a2x -f manpage $<

=== debian/changelog ===
httpfs2 (0.1.4) unstable; urgency=low

  * closes #566362, #567128

 -- Michal Suchanek <hramrach@centrum.cz>  Fri, 12 Mar 2010 17:34:20 +0100

httpfs2 (0.1.3-1) unstable; urgency=low

  * Initial release (Closes: #380461).

 -- Michal Suchanek <hramrach@centrum.cz>  Mon, 11 Jan 2010 15:40:13 +0100

=== debian/control ===
Source: httpfs2
Section: web
Priority: extra
Maintainer: Michal Suchanek <hramrach@centrum.cz>
Build-Depends:
 debhelper (>= 7.0.50~),
 asciidoc,
 xmlto,
 libfuse-dev (>> 2.6),
 pkg-config,
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/httpfs/

Package: httpfs2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: fuse-utils
Description: FUSE filesystem for mounting files from http servers
 httpfs2 is a FUSE based filesystem for mounting http or https URLS as files in
 the filesystem. There is no notion of listable directories in http so only a
 single URL can be mounted. The server must be able to send byte ranges.
